package filter;

import java.io.IOException;
import java.util.concurrent.CountDownLatch;

import com.sun.grizzly.Context;
import com.sun.grizzly.filter.ReadFilter;

public class PerformanceTestFilter extends ReadFilter {
	private CountDownLatch latch;

	public PerformanceTestFilter(CountDownLatch latch) {
		this.latch = latch;
	}

	@Override
	public boolean execute(Context ctx) throws IOException {
		boolean result = super.execute(ctx);
		latch.countDown();
		return result;
	}
}
